wordpress_371_basie

Installer WordPress 3.7 "Basie" sur les pages perso de free.fr

Mis à jour le

  1. Déploiement de la version PHP 5.6.8 beta

    • Aujourd’hui, mercredi 22 juillet à 15 40 min, Lionel Bernardi vient d’annoncer que la version PHP 5.6.8 beta est déployée sur tous les serveurs des pages perso de FREE.
      Pour activer le php 5.6 (beta), il faut ajouter la directive suivante dans le .htaccess :

      <IfDefine Free>
      php56 1
      </IfDefine>
      

      Bien sûr, cette directive remplace la directive actuelle qui est

      <IfDefine Free>
      php 1
      </IfDefine>
      

      La version originale de WordPress fonctionne parfaitement avec cette directive, il n’est donc plus besoin d’installer une version adaptée à PHP 5.1.3.
      Ainsi prend fin la longue série d’adaptation de WordPress aux pages perso de FREE !

    • Pour télécharger le fichier « .htaccess » sécurisé et optimisé pour PHP 5.6.8 selon les conseils de Al du site les.pages.perso.chez.free, cliquer sur le bouton ci-dessous :

      .htaccess sécurisé pour PHP 5.6.8

      Voir le code du fichier .htaccess sécurisé et optimisé pour PHP 5.6.8

  2. Présentation générale

    Cette version est la reproduction à l’identique des modifications apportées apportées par Gaëtan Janssens pour installer la version 3.2.1 et à celles apportées par Rodolphe Marsolier pour installer la version 3.5.2. Seule la septième et dernière modification a été ajoutée.

    Cette version est mise en ligne sans aucun support ni aucune garantie. Elle est fonctionnelle sur mon propre site, mais peut avoir des bugs.

    Ainsi, il est préférable de la tester en ligne sur un sous-domaine de votre site FREE afin de vérifier sa compatibilité avec vos thèmes et vos extensions.
  3. Procédure rapide de mise à jour de WordPress

    Avant de se lancer dans une mise à jour il est très important de faire auparavant une sauvegarde complète de la base de données (BDD) et du FTP comme indiqué dans le CODEX WordPress : Détails de mise à jour.

      Voir la procédure rapide de mise à jour

  4. Pas de mise à jour et d’installations automatiques

      En effet, les accès sortants sont bloqués par FREE, ce qui interdit :

    1. la lecture des flux RSS (widgets en erreur sur le tableau de bord);
    2. toutes les mises à jour automatiques;
    3. les installations automatiques de plugins et de thèmes via le tableau de bord de WordPress. Il faut donc les installer manuellement via FTP (avec Filezilla par exemple) en faisant comme indiqué :
      1. ici pour un plugin
      2. ou ici pour un thème.
    4. le fonctionnement des plugins nécessitant un accès sortant comme Akismet par exemple.

    Or, depuis la version WP 3.7 toutes les mises à jour sont effectuées chaque nuit automatiquement, ce que FREE interdit.

    Ainsi, vous devez désactiver ces mises à jours en ajoutant au fichier « wp-config.php » la ligne ci-dessous :

    define( 'AUTOMATIC_UPDATER_DISABLED', true );

    Il n’est pas besoin d’ajouter cette ligne lors d’une première installation, elle est déjà présente dans le fichier « wp-config-sample.php » qui est utilisé comme modèle lors de la création du fichier « wp-config.php » .
    En revanche, pour une mise à jour de WordPress, vérifiez si cette ligne est vraiment présente dans le fichier « wp-config.php »

  5. Bug lié à la version PHP 5.1.3 des pages perso de FREE

    Le choix du « fuseau horaire » accessible depuis le tableau de bord Réglages -> Général doit obligatoirement être effectué via le choix UTC-1, UTC, UTC+1, UTC+2, etc. Le fuseau horaire ne doit pas être choisi via le nom des villes comme « Paris » « Berlin » sous peine d’avoir l’erreur « Fatal error: Call to undefined function timezone_open() in »…/wp-includes/functions.php on line 3611 » qui bloque le site.

    Lire une méthode de résolution de ce problème dans la conversation avec arno dans laquelle il a été signalé.

    La fonction timezone_open() n’est en effet disponible que sous PHP 5.2 et n’est pas émulée dans ce présent pack.

  6. Mémoire PHP consommée :

    D’après mes mesures, cette version consomme 0,54 Mo de plus que la version 3.6 spéciale FREE écrite par Rodolphe Marsolier.

    Attention, les serveurs des pages perso de FREE consomment nettement plus de mémoire PHP qu’une installation identique en local. En effet, les serveurs des pages perso de FREE fonctionnent avec PHP 5.1.3 RC4-dev / 64Bit alors qu’en général les ordinateurs personnels sont 32 bits.

      Ainsi, cette version WP 3.7.1 consomme nue (une seule extension activée : WP-Memory-Usage) lors d’une première installation avec le thème :

    1. Twenty Ten : 25,4 Mo (contre 11,14 Mo en local avec PHP 5.4.7 / 32Bit OS)
    2. Twenty Eleven : 25,61 Mo (contre 11,26 Mo en local)
    3. Twenty Twelve : 25,42 Mo (contre 11,14 Mo en local)
    4. Twenty Thirteen : 25,3 Mo (contre 11,07 Mo en local)
    5. le futur Twenty Fourteen : 25,57 Mo (contre 11,22 Mo en local)

    Ce qui représente déjà presque 80 % de l’usage de la mémoire PHP. Ainsi, il ne vous sera pas possible d’activer un thème complexe ou de multiples extensions sur les pages perso de FREE.

  7. Téléchargement :

    Cliquer sur le bouton ci-dessous pour télécharger l’archive compatible FREE

    <-- WordPress 3.7.8 corrigé d'une faille XSS critique trouvé dans toutes les versions de WordPress inférieures à 4.2.1 (publié le 27 avril 2015). Voir : WordPress 4.2.1 Security Release.
    Modifications du pack identiques (lorsque possibles) à celles de la version 4.2 : Installer WordPress 4.2 « Powell » sur les pages perso de FREE

    <-- WordPress 3.7.7 qui corrige un bug mineur de 3.7.6 (publié le 24 avril 2015). Voir : WordPress 4.1.3 Released
    L’activation du plugin « antispam » livré avec cette version protège contre la faille XSS critique publiée le 27 avril 2015 d’après son développeur « webvitaly ». Voir  : Correction of the April 27 XSS vulneranility ?

    <-- WordPress 3.7.6 corrigé d'une faille XSS critique trouvé dans toutes les versions de WordPress inférieures à 4.1.2 (publié le 21 avril 2015). Voir : WordPress 4.1.2 Security Release.
    Modifications du pack identiques (lorsque possibles) à celles de la version 4.1 : Installer WordPress 4.1 « Benny » sur les pages perso de FREE

    <-- WordPress 3.7.5 corrigé des failles critiques trouvées dans toutes les versions de WordPress 3.0 à 4.0 (publié le 20 novembre 2014). Voir : WordPress 4.0.1 Security Release.
    Modifications du pack identiques (lorsque possibles) à celles de la version 4.0.1 : Installer WordPress 4.0 « Benny » sur les pages perso de FREE

    wordpress-3.7.1-fr_FREE.zip<-- WordPress 3.7.1

  8. Configurer le serveur Apache de votre page perso

    Afin d’activer PHP 5.1.3 sur les pages perso au lieu de PHP 4.4.3, vous devez installer à la racine du site un fichier « .htaccess » contenant une seule ligne

    php 1

    Cliquez sur le bouton ci-dessous pour télécharger le fichier « .htaccess » sécurisé et optimisé selon les conseil de Al du site les.pages.perso.chez.free
    .htaccess sécurisé pour FREE.FR <---------- fichier .htaccess Voir le code du fichier .htaccess sécurisé et optimisé pour les pages perso de FREE

  9. Sécuriser la page d’administration de WordPress

    A la suite de nombreuses attaques vers les pages d’administration des sites WordPress et Joomlaa, Lionel Bernardi (administrateur des pages perso de FREE) a installé un script qui fixe des règles pour limiter ces requêtes et interdire l’accès aux adresses IP qui tentent de se connecter trop souvent à ces pages d’administration. Toutefois, ce script, parfois trop sensible, a interdit à certains blogueurs l’accès à leur propre site depuis leur box internet. Si tel est votre cas, vous devez contacter le forum USENET des pages perso pour que Lionel Bernardi, l’admin des pages perso, déblackliste votre adresse IP. Pour éviter ce problème, il est très fortement conseillé de bunkériser l’accès à l’administration de WordPress. Comment bunkériser l’admin de WordPresss ?

  10. Que faire en cas de problème ?

    1. En cas de problème lors de l’installation de WordPress sur les pages perso de FREE, vous pouvez demander de l’aide sur le forum USENET officiel de support des pages perso de FREE. Des bénévoles vous expliqueront tout en détail.

      Ce forum n’est pas accessible depuis un navigateur internet. C’est en réalité un « groupe de discussion » (comme ceux usités par les universitaires). Pour y accéder, vous devez installer un logiciel de News comme par exemple :

    2. Pour un problème lié à WordPress lui-même, vous pouvez vous adresser aux forums supports de WordPress :

  11. Détails des modifications apportées à cette version :

    Seule la septième et dernière modification s’ajoute à celles apportées par Gaëtan Janssens pour installer la version 3.2.1 et à celles apportées par Rodolphe Marsolier pour installer la version 3.5.2. Pour rappel, ce sont :

    1. modification du fichier « wp-settings » à l’identique de la version 3.3.2
      dans le répertoire « wordpress », éditer le fichier « wp-settings.php » et ajouter la ligne 69 suivante :

      require( ABSPATH . WPINC . '/pomo/native.php');

      pour obtenir ce qui suit :

      // Load early WordPress files.
      	require( ABSPATH . WPINC . '/compat.php' );
      	require( ABSPATH . WPINC . '/functions.php' );
      	require( ABSPATH . WPINC . '/class-wp.php' );
      	require( ABSPATH . WPINC . '/class-wp-error.php' );
      	require( ABSPATH . WPINC . '/plugin.php' );
              require( ABSPATH . WPINC . '/pomo/native.php');
      	require( ABSPATH . WPINC . '/pomo/mo.php' );

      Ce fichier native.php est un hack wordpress créé par linushoppe qui permet d’utiliser la bibliothèque du projet GNU d’internationalisation (traduction) « gettext » lorsque celle-ci est déjà implantée au niveau du serveur (elle l’est sur les pages perso de FREE), ce qui permet d’économiser 5 Mo de mémoire PHP.

    2. ajout du fichier issu du hack précédent « wp-includes/pomo/native.php »
    3. modification du fichier « wp-includes/version.php » à l’identique de la version 3.3.2 (ligne 28), c’est à dire remplacer ‘5.2.4’ par ‘5.1.2’ afin de permettre à WordPress de faire comme si le prérequis « php 5.2.4 » était rempli :
      $required_php_version = '5.1.2';
    4. modification du fichier « wp-includes/functions.php » par l’ajout de la ligne suivante au début du fichier
      if ( version_compare( phpversion(), '5.2.4', '<' ) )
          require_once( ABSPATH . '/wp-includes/upgrade.php' ); 

      qui devient ainsi :

      /**
       * Main WordPress API
       *
       * @package WordPress
       */
      if ( version_compare( phpversion(), '5.2.4', '<' ) )
          require_once( ABSPATH . '/wp-includes/upgrade.php' ); 
      

      Cette condition permet d'inclure un fichier « upgrade.php » qui émule un ensemble de fonctions disponibles sous php 5.2 à 5.5 sur un serveur disposant au minimum de php 4.1 (FREE dispose de php 5.1.3) lorsque le serveur ne dispose pas de php 5.2.4.

    5. ajout du fichier "wp-includes/upgrade.php" précédent
    6. modification du fichier "wp-includes/pluggable.php" remplacement des lignes 675 et suivantes ci-dessous :
      do_action('set_auth_cookie', $auth_cookie, $expire, $expiration, $user_id, $scheme);
      do_action('set_logged_in_cookie', $logged_in_cookie, $expire, $expiration, $user_id, 'logged_in');
      
      	setcookie($auth_cookie_name, $auth_cookie, $expire, PLUGINS_COOKIE_PATH, COOKIE_DOMAIN, $secure, true);
      	setcookie($auth_cookie_name, $auth_cookie, $expire, ADMIN_COOKIE_PATH, COOKIE_DOMAIN, $secure, true);
      	setcookie(LOGGED_IN_COOKIE, $logged_in_cookie, $expire, COOKIEPATH, COOKIE_DOMAIN, $secure_logged_in_cookie, true);
      	if ( COOKIEPATH != SITECOOKIEPATH )
      		setcookie(LOGGED_IN_COOKIE, $logged_in_cookie, $expire, SITECOOKIEPATH, COOKIE_DOMAIN, $secure_logged_in_cookie, true);
      
      

      par celles-ci :

      do_action('set_auth_cookie', $auth_cookie, $expire, $expiration, $user_id, $scheme);
      do_action('set_logged_in_cookie', $logged_in_cookie, $expire, $expiration, $user_id, 'logged_in');
      if ( version_compare( phpversion(), '5.2.4', '>=' ) ) {
              setcookie($auth_cookie_name, $auth_cookie, $expire, PLUGINS_COOKIE_PATH, COOKIE_DOMAIN, $secure, true);
              setcookie($auth_cookie_name, $auth_cookie, $expire, ADMIN_COOKIE_PATH, COOKIE_DOMAIN, $secure, true);
              setcookie(LOGGED_IN_COOKIE, $logged_in_cookie, $expire, COOKIEPATH, COOKIE_DOMAIN, $secure_logged_in_cookie, true);
      if ( COOKIEPATH != SITECOOKIEPATH ) 
              setcookie(LOGGED_IN_COOKIE, $logged_in_cookie, $expire, SITECOOKIEPATH, COOKIE_DOMAIN,$secure_logged_in_cookie, true);
      } else {
              setcookie($auth_cookie_name, $auth_cookie, $expire, PLUGINS_COOKIE_PATH, COOKIE_DOMAIN, $secure);
              setcookie($auth_cookie_name, $auth_cookie, $expire, ADMIN_COOKIE_PATH, COOKIE_DOMAIN, $secure);
              setcookie(LOGGED_IN_COOKIE, $logged_in_cookie, $expire, COOKIEPATH, COOKIE_DOMAIN, $secure_logged_in_cookie);
      if ( COOKIEPATH != SITECOOKIEPATH )
              setcookie(LOGGED_IN_COOKIE, $logged_in_cookie, $expire, SITECOOKIEPATH, COOKIE_DOMAIN, $secure_logged_in_cookie);
      }

      Cela permet d'utiliser la fonction PHP setcookie() qui passe de 6 paramètres avec PHP 5.1 à 7 paramètres avec PHP 5.2. La condition sur la version de PHP permet à cette version de WordPress de continuer de fonctionner normalement si les serveurs de FREE passent à une nouvelel mouture de PHP plus récente comme la version 5.5 qui serait en cours de mise au point par Lionel Bernardi, le nouvel admin des pages perso.

    7. modification du fichier "wp-config-sample.php" qui désactive les mises à jour automatiques (valable uniquement pour une première installation de WordPress, pas pour une mise à jour de WordPress).
      /** Désactive les mises à jour automatiques de WordPress */
      define( 'AUTOMATIC_UPDATER_DISABLED', true );

Si vous avez trouvé une faute d'orthographe, informez-nous en sélectionnant le texte et en appuyant sur Ctrl + Enter

45 réflexions au sujet de « Installer WordPress 3.7 "Basie" sur les pages perso de free.fr »

  1. Bonjour,
    Est ce qu’il existe un plugin qui permette de faire un diaporama d’images ?
    Sur overblog, quand je mettais un article en ligne, il était également publié sur mon twitter, peut-on le faire avec wordpress ?

    Merci

  2. Bonjour, j’ai téléchargé le fichier et configuré le fichier config cependant « wp-admin/install.php » m’indique « Votre serveur utilise la version 4.4.3-dev de PHP mais WordPress 3.7.1 nécessite au moins la version 5.1.2. »
    Je pensais que vos fichiers permettaient justement de dépasser ce souci ?

    Merci de votre aide

    1. Pourquoi avez-vous configuré wp-config ? Cela ne sert à rien, WordPress le fait lui même tout seul très bien.

      Sur mon site, j’ai fais une nouvelle installation et je n’ai pas eu le problème que vous dites avoir eu, sans pouvoir reproduire une erreur, il est impossible de la corriger.

      Edit 11h30 : Ah oui, j’ai compris, il vous faut installer à la racine du site un fichier .htaccess avec une seule ligne

      php 1

      ce qui permet d’utiliser PHP 5.1.3 au lieu de PH 4.4.3.

      Vous pouvez télécharger ce fichier ici : Télécharger .htaccess

  3. Si je comprends bien ce que vous dites au sujet de la consommation de la mémoire de PHP, il st impossible d’ajouter à un site WP, un forum (bbpress, par exemple).

    1. Je ne sais pas comment fonctionne bbpress, me concernant, j’ai installé un forum dans un sous domaine de FREE, c’est à dire dans un dossier /forum, ici : Forum additifstabac.free.fr

      Ainsi, il est possible d’avoir WordPress et un forum, mais chacun dans un dossier différent.
      Je ne sais pas si on peut faire différemment, pour le savoir, il vous faut poser la question sur le usenet des pages perso de FREE qui est à contacter en cas de problème (NEWSGROUP de FREE : proxad.free.services.pagesperso) et auxquel on accède comme indiqué ici : Configurer les Newsgroups sur Thunderbird

      Edit 15 janvier 2014 :
      Il existe une nouvelle extension ajoutant un forum à un site WordPress à essayer ici (elle devrait à priori fonctionner chez FREE) : Support WordPress Francophone / [Nouveau plugin] Cervidae Forum

        1. C’est la version 3.0.11, mais je ne suis pas certain d’avoir fait le meilleur choix !
          Le problème d’un forum est que l’on est envahi de robots de spams, une vingtaine d’inscriptions par jour. Et phpbb n’est pas très bien conçu pour lutter contre les robots de spam, c’est le moins que l’on puisse dire.

          Vous devriez faire une recherche sur les moyens de protections des forums contre le spam et choisir celui qui a le système le plus performant.

          Me concernant, j’ai carrément du interdire les inscriptions venant d’adresse mail en @gmail ou @hotmail pour enfin pouvoir respirer !

  4. MMMmmmh…. bizarre, j’ai fait toute la procedure plusieurs fois mais niet… déjà quand je lance le script install.php je vois en haut de la page:

    Warning: Cannot modify header information – headers already sent by (output started at /mnt/130/sda/0/3/atibertin/wp-config.php:1) in /mnt/130/sda/0/3/atibertin/wp-admin/install.php on line 54

    mais bon, ça marche quandm^eme:

    « Quel succès !

    WordPress est installé. Vous attendiez-vous à d’autres étapes ? Désolé de vous décevoir ;-) »

    les 11 tables sont crées dans la BD et si je vais sur la page de login, tout en haut il y a:

    Warning: Cannot modify header information – headers already sent by (output started at /mnt/130/sda/0/3/atibertin/wp-config.php:1) in /mnt/130/sda/0/3/atibertin/wp-login.php on line 409

    Warning: Cannot modify header information – headers already sent by (output started at /mnt/130/sda/0/3/atibertin/wp-config.php:1) in /mnt/130/sda/0/3/atibertin/wp-login.php on line 421

    mais encore une fois le reste de la page s’affiche correctement sauf que si j’accède, peu importe si avec le bon utilisateur/mot de passe ou pas:

    « ERREUR : les cookies sont bloqués ou ne sont pas reconnus pas votre navigateur. Vous devez activer les cookies pour utiliser WordPress. »

    et je peux vous assurer que mes cookies ne sont pas bloqués…

    des conseils? Merci!

      1. Merci Luciole, j’avais déjà vu ce post et d’autres similaires en anglais sauf que… j’ai vérifié le wp-config.php et wp-settings.php et ce que je vois est que en local (Win7 64bit) le wp-config.php fait 3993 octets, le fichier sur free par contre il fait 3893 de taille. 10996 contre 10635 pour le wp-settings.

        j’utilise filezilla pour transferer les fichiers et je n’arrive pas à trouver comment forcer le transfer « binary » car à ce point là je crois qu’il s’agite de cela…

        je continue à chercher, chaque aide et les bievenu! merci encore!

        1. ce qui est bizarre est que m^eme le reste n’est pas correctement affiché:

          « Bienvenue

          Bienvenue dans le célèbre processus d’installation en 5 minutes de WordPress ! Vous pouvez parcourir le fichier ReadMe à loisir. Autrement, remplissez simplement les champs ci-dessous, et vous serez prêt à installer la plate-forme de publication personnelle la plus puissante et la plus extensible au monde.

          Informations nécessaires »

  5. Bonsoir j’essaye déséspérément d’installer wordpress chez free. J’ai une hebergement gratuit et a chaque fois que j’installe une version j’ai le meme message d’erreur : « Votre serveur utilise la version 5.1.3RC4-dev de PHP mais WordPress 3.4.2 nécéssite au moins la version 5.2.4. »

    j’ai commencé avec le version 3.8.1 et je susi descendu jusqu’à la version 3.4.2 mais il me demande toujours la même version de PHP.

    J’ai vu pourtant sur un commentaire au dessus que la version 3.7.1 demandé PHP 5.1.2

    ou est le souci ?

    1. Bonsoir,
      Tout simplement parce que la dernière version officielle de WordPress qui fonctionne chez FREE est la 3.1.4.
      A partir de WordPress 3.2, il est nécessaire que les serveurs fonctionnent avec PHP 5.2.4 minimum, or FREE ne propose que PHP 5.1.3.

      Ainsi seules les versions de WordPress adaptées pour FREE comme celle proposée en téléchargement ici même dans cet article ou la version 3.8.1 proposée en téléchargement dans l’article suivant fonctionnent.

      Comme elles ne sont pas officielles, elles sont livrées telles quelles sans support et les plugins ne fonctionneront pas tous non plus. Donc, vous devrez tester chaque thème et chaque plugin pour vous assurer qu’ils sont fonctionnels sur FREE. Seuls les plugins ne nécessitant pas PHP 5.2.4 pourront fonctionner, pas les autres.

      Voir à ce sujet : liste de plugins pour wordpress compatibles chez free.fr

      1. j’ai effectivement pris la version modifié 3.8.1 pour free mais maintenant impossible de se connecter a la base de données pourtant tout est bon le nom de la base les identifiant et mdp le seul flou est l’adresse de la base. j’ai essayé localhost sql.free.fr login.sql.free.fr mais rien a faire.

  6. tout fonctionne sauf… l’affichage des vignettes. Quand j’ajoute une image à la bibliothèque de média, le panneau reste bloqué sur « en cours de traitement ».

    L’image est bien téléchargée mais la vignette dans la bibliothèque de média est affichée avec height=1 et width=1. Pareil si j’insère l’image dans un article.
    1 pixel de côté, ça fait pas gros pour y voir qqch…

    J’ai loupé une étape ?

    1. Certainement une incompatibilité avec le thème ou alors avec les extensions. Activez le thème par défaut (twenty fourteen) et désactivez toutes les extensions pour vérifier si le problème persiste.

      1. Merci pour ta réponse rapide.
        Je viens de ré-installer complètement l’archive proposée pour free. Sans changer de thème ni installer d’extension. J’ai toujours le souci des images de 1 pixel de côté.
        Voici le code après insertion d’une image de la bibliothèque dans l’article par défaut :

        Bienvenue dans WordPress. Ceci est votre premier article. Modifiez-le ou supprimez-le, puis lancez-vous !

  7. Je n’ai pas bien compris comment gérer le fichier wp-config-sample.php.
    Faut-il le renommer wp-config.php avant de l’envoyer lors de la première installation ?
    Faut-il ensuite supprimer la ligne ajoutée en cas de mise à jour ?
    De la part d’un newbie, merci pour la réponse

    1. Bonjour,
      Vous n’avez rien à faire, le fichier wp-config-sample.php est géré automatiquement par WordPress.
      Je n’ai fait qu’expliquer les modifications qui ont étés effectuées aux fichiers originaux de WordPress afin qu’il soit utilisable sur les pages perso de FREE (ce qui autrement ne serait pas possible).

      Vous n’avez strictement rien à faire, tout est déjà fait. Il vous suffit de suivre un tuto pour l’installation chez FREE, rien de plus. WordPress s’occupe tout seul de tous les fichiers.
      Bonne soirée.

  8. Bonjour,

    Je suis novice dans ce domaine je tente désespérément d’installer wordpress sur ma page perso free mais impossible car il me manque le fichier htaccess. Cependant, je n’arrive pas à télécharger votre fichier « .htaccess sécurisé pour FREE.FR ».

    Merci d’avance pour votre réponse

      1. Bonjour,

        Merci pour le lien.
        Je n’arrive toujours pas à installer WordPress. J’ai copier mon fichier .htaccess ainsi que tous les dossiers contenus dans WordPress 7.3. mais j’ai toujours un message d’erreur :
        « Erreur 403 – Refus de traitement de la requête (Interdit – Forbidden)
        Le serveur a compris la requête, mais refuse de la satisfaire.
        Une démarche d’authentification n’y fera rien et cette requête ne doit pas être renouvelée. Si la méthode invoquée est différente de HEAD et le serveur souhaite rendre public la raison pour laquelle il refuse le traitement, il le fera dans l’entité liée à cette réponse. Ce code d’état est souvent utilisé lorsque le serveur ne souhaite pas s’étendre sur les raisons pour lesquelles il refuse un accès, ou parce que c’est la seule réponse qui convienne.

        Vous tentez d’accéder à une ressource qui vous est interdite.
        Il se peut que le compte concerné soit suspendu (Cf. Console de Gestion)  »

        Peut-être est-ce le fait de ne pas comprendre le fait « installer à la racine du site un fichier .htaccess contenant une seule ligne ».
        Sous Filezila, je prends tous mes fichiers (.htaccess et dossier worpress) aue je déplace dans mon site. Dois-je faire quelque chose de spécial ? Créer des dossiers.

        Merci d’avance pour votre réponse.

        Une novice qui ne comprend vraiment rien ;-)

        1. Regardez si votre compte n’a pas été désactivé par FREE. Si c’est le cas, un mail sur le compte mail associé à la page perso vous a été envoyé.

            1. Alors, je n’ai pas d’idées, vous devez demander de l’aide sur le forum support usenet des pages perso de FREE.

  9. Bonsoir Luciole135,

    Au vu de mes soucis de redirection depuis aujourd’hui après être passée tranquillement à la version 3.3.2 je pense que je vais passer aux versions supérieures.

    Pensez vous que je puisse tenter l’installation de la 3.7.5 avec les failles corrigées ? J’ai sauvegardé ma BDD et ai encore les anciennes versions au cas où. J’ai besoin d’accéder à mon blog pour le travail…

    Merci d’avance pour votre réponse. Kati

          1. Re bonsoir,

            Les ennuis commencent : je ne peux insérer de lien ni de média dans les pages ou les articles que je créés.

            J’ai désactivé les plugins en renommant le dossier pluginX mais cela ne change rien…Une idée ?

            Merci d’avance

                  1. C’est exactement ça…Me reste plus qu’à retrouver un thème qui sera compatible avec cette nouvelle version. J’aimais bien Itheme2 moi ^^ Merci Luciole135 pour vos conseils. Je me suis obstinée mais je suis arrivée à passer à cette version 3.7.5 yes !!!

  10. Bonjour Luciole,

    Petite question, je vois cette ligne de code à ajouter dans wp-config.php : define( ‘AUTOMATIC_UPDATER_DISABLED’, true );

    Mais je l’insère où exactement ? Car j’ai tenté de l’insérer après toutes les lignes qui commence par define…mais ça me mets un message d’erreur.

    Merci d’avance pour votre aide.

    Kati

Les commentaires sont fermés.